
#include <vortex/acpi/fastexp.h>

double fast_exp(double y)
{
	union {
		double d;
#ifdef LITTLE_ENDIAN
		struct{int j, i;} n;
#else
		struct{int i, j;} n;
#endif
	} _eco;

	_eco.n.i = (int)(EXP_A*(y)) + (1072693248 - EXP_C);
	_eco.n.j = 0;

	return _eco.d;
}